Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSjisCodec Class Reference

The QSjisCodec class provides conversion to and from Shift-JIS. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qsjiscodec.h>`

Inherits QTextCodec.

List of all member functions.

## Public Members

- virtual const char * mimeName () const
- QSjisCodec ()
- ~QSjisCodec ()

## Detailed Description

The QSjisCodec class provides conversion to and from Shift-JIS.

More precisely, the QSjisCodec class subclasses QTextCodec to provide support for Shift-JIS, an encoding of JIS X 0201 Latin, JIS X 0201 Kana or JIS X 0208.

The environment variable `UNICODEMAP_JP` can be used to fine-tune QJisCodec, QSjisCodec and QEucJpCodec. The QJisCodec documentation describes how to use this variable.

Most of the code here was written by Serika Kurusugawa, a.k.a. Junji Takagi, and is included in Qt with the author's permission and the grateful thanks of the Trolltech team. Here is the copyright statement for the code as it was at the point of contribution. Trolltech's subsequent modifications are covered by the usual copyright for Qt.

Copyright (C) 1999 Serika Kurusugawa. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS". ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See also Internationalization with Qt.

## Member Function Documentation

### QSjisCodec::QSjisCodec ()

Creates a Shift-JIS codec. Note that this is done automatically by the QApplication, you do not need construct your own.

### QSjisCodec::~QSjisCodec ()

Destroys the Shift-JIS codec.

### const char * QSjisCodec::mimeName () const`[virtual]`

Returns the codec's mime name.

Reimplemented from QTextCodec.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.